Bug 142759 - aic79xx hangs on Dell 470 workstation with Adaptec ASC-39320
aic79xx hangs on Dell 470 workstation with Adaptec ASC-39320
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-13 16:28 EST by Laurent CREPET
Modified: 2015-01-04 17:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:17:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laurent CREPET 2004-12-13 16:28:10 EST
Description of problem:

I've just received some new Dell workstation 470 with Adaptec
ASC-39320 SCSI HBA included. I can't install Fedora Core 3 on these boxes.

The aic79xx module does not load correctly. It fails to attach to the
card. There is some bad news in the system logs (Call trace for insmod).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. insert FC3 disc1 in the cdrom drive
2. boot
3.
  
Actual results:

The module does not load correctly. So, I can't continue the
installation since there is only one disk in the machine, connected to
the ASC-39320 SCSI controler.

Expected results:

Be able to install FC3 on the SCSI disk connected to SCSI controler.

Additional info:
Comment 1 Laurent CREPET 2004-12-13 16:30:05 EST
I've managed to install an old redhat 9 using an aic79xx 2.0.10 driver
disk. I've found it there :

http://people.freebsd.org/%7Egibbs/linux/DUD/aic79xx/

Please help me to use something more recent ;-)
Comment 2 Jon Nierenburg 2004-12-23 15:47:17 EST
This bug also occurs on the Dell Precision 670 Workstation.  The SCSI
bios screen shows the onboard SCSI chipset to be an AIC-7901 F/W:
4.30.4S5.

I have tried pushing the scsi bus down to 160MB/Sec and turning of
packetization and QAS but the aic7910 driver still crashes...
Comment 3 Laurent CREPET 2005-01-22 02:33:53 EST
No news on that issue... How can I help to solve this problem ?
Comment 4 Emilio Riva 2005-01-25 09:15:05 EST
Dell Precision 670 Workstation: ata_piix module raises an exception
while loading (OOPS 0002 #1...); as resulting from an "lsmod" command,
both ata_piix and aic79xx modules are blocked in "Loading" state, no
SCSI disk detected and rmmod doesn't work.
RH Enterprise 3 works correctly.
...any news?
Comment 5 Dave Jones 2005-07-15 13:50:03 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 6 Dave Jones 2005-10-02 20:17:47 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.